extends LimboHSM

@onready var normal_state: LimboHSM = %Normal
@onready var dead_state: LimboState = %Dead

func _setup() -> void:
	_init_trans()

func _ready() -> void:
	await owner.ready
	
	self.initialize(self.owner)
	self.set_active(true)

func _init_trans() -> void:
	self.add_transition(normal_state,dead_state,&"try_enter_dead")
